# Generated by rust2rpm 24
# * tests require unshare and CLONE_NETNS permissions not available in mock
%bcond_with check

%global crate libslirp

Name:           rust-libslirp
Version:        4.2.2
Release:        %autorelease
Summary:        High-level bindings & helper process for libslirp

License:        MIT
URL:            https://crates.io/crates/libslirp
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump ipnetwork dependency from 0.16 to 0.17:
#   https://gitlab.freedesktop.org/slirp/libslirp-rs/-/merge_requests/7
# * relax libsystemd dependency to allow versions >=0.2, <0.6
# * correctly set license in crate metadata
Patch:          libslirp-fix-metadata.diff

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
High-level bindings & helper process for libslirp.}

%description %{_description}

%package     -n libslirp-helper
Summary:        %{summary}
# Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        MIT AND BSD-3-Clause AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n libslirp-helper %{_description}

%files       -n libslirp-helper
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/libslirp-helper

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dbus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dbus-devel %{_description}

This package contains library source intended for building other packages which
use the "dbus" feature of the "%{crate}" crate.

%files       -n %{name}+dbus-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ipnetwork-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ipnetwork-devel %{_description}

This package contains library source intended for building other packages which
use the "ipnetwork" feature of the "%{crate}" crate.

%files       -n %{name}+ipnetwork-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages which
use the "libc" feature of the "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libsystemd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libsystemd-devel %{_description}

This package contains library source intended for building other packages which
use the "libsystemd" feature of the "%{crate}" crate.

%files       -n %{name}+libsystemd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages which
use the "mio" feature of the "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mio-extras-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-extras-devel %{_description}

This package contains library source intended for building other packages which
use the "mio-extras" feature of the "%{crate}" crate.

%files       -n %{name}+mio-extras-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nix-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nix-devel %{_description}

This package contains library source intended for building other packages which
use the "nix" feature of the "%{crate}" crate.

%files       -n %{name}+nix-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+slab-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slab-devel %{_description}

This package contains library source intended for building other packages which
use the "slab" feature of the "%{crate}" crate.

%files       -n %{name}+slab-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+structopt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+structopt-devel %{_description}

This package contains library source intended for building other packages which
use the "structopt" feature of the "%{crate}" crate.

%files       -n %{name}+structopt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
